## domjudge 3.3.5

=== Makefile ===
# Main Makefile

# Define TOPDIR from shell command and _not_ $(PWD) because that gives
# pwd before changing to a 'make -C <dir>' <dir>:
export TOPDIR = $(shell pwd)

REC_TARGETS=build domserver install-domserver judgehost install-judgehost \
            docs install-docs config submitclient

# Global Makefile definitions
include $(TOPDIR)/Makefile.global

default:
	@echo "No default target"
	@echo
	@echo "Try:"
	@echo " - make domserver"
	@echo " - make judgehost"
	@echo " - make docs"
	@echo " - make submitclient"
	@echo or
	@echo " - make install-domserver"
	@echo " - make install-judgehost"
	@echo " - make install-docs"
	@echo or
	@echo " - make all"
	@echo " - make build"
	@echo " - make clean"
	@echo " - make distclean"
	@exit 1

install:
	@echo "Try:"
	@echo " - make install-domserver"
	@echo " - make install-judgehost"
	@echo " - make install-docs"
	@exit 1

all: build docs

# MAIN TARGETS
build domserver judgehost docs: paths.mk config
install-domserver: domserver domserver-create-dirs
install-judgehost: judgehost judgehost-create-dirs
install-docs: docs-create-dirs
dist: configure

# List of SUBDIRS for recursive targets:
config:            SUBDIRS=etc doc lib sql www judge submit tests misc-tools
build:             SUBDIRS=        lib         judge submit tests misc-tools
domserver:         SUBDIRS=etc             www       submit
install-domserver: SUBDIRS=etc     lib sql www       submit
judgehost:         SUBDIRS=etc                 judge
install-judgehost: SUBDIRS=etc     lib         judge              misc-tools
docs:              SUBDIRS=    doc
install-docs:      SUBDIRS=    doc         www                    misc-tools
submitclient:      SUBDIRS=                          submit
dist:              SUBDIRS=    doc                                misc-tools
clean:             SUBDIRS=etc doc lib sql www judge submit tests misc-tools
distclean:         SUBDIRS=etc doc lib sql www judge submit tests misc-tools
maintainer-clean:  SUBDIRS=etc doc lib sql www judge submit tests misc-tools

domserver-create-dirs:
	$(INSTALL_DIR) $(addprefix $(DESTDIR),$(domserver_dirs))
# Fix permissions for special directories (don't touch tmpdir when FHS enabled):
	-$(INSTALL_USER)    -m 0700 -d $(DESTDIR)$(domserver_logdir)
	-$(INSTALL_USER)    -m 0700 -d $(DESTDIR)$(domserver_rundir)
	-$(INSTALL_WEBSITE) -m 0770 -d $(DESTDIR)$(domserver_submitdir)
ifneq "$(fhs_enabled)" "yes"
	-$(INSTALL_WEBSITE) -m 0770 -d $(DESTDIR)$(domserver_tmpdir)
endif

judgehost-create-dirs:
	$(INSTALL_DIR) $(addprefix $(DESTDIR),$(judgehost_dirs))
# Fix permissions for special directories (don't touch tmpdir when FHS enabled):
	-$(INSTALL_USER) -m 0700 -d $(DESTDIR)$(judgehost_logdir)
	-$(INSTALL_USER) -m 0700 -d $(DESTDIR)$(judgehost_rundir)
	-$(INSTALL_USER) -m 0711 -d $(DESTDIR)$(judgehost_judgedir)
ifneq "$(fhs_enabled)" "yes"
	-$(INSTALL_USER) -m 0700 -d $(DESTDIR)$(judgehost_tmpdir)
endif

docs-create-dirs:
	$(INSTALL_DIR) $(addprefix $(DESTDIR),$(docs_dirs))

install-docs-l:
	$(INSTALL_DATA) -t $(DESTDIR)$(domjudge_docdir) README ChangeLog COPYING*

install-domserver install-judgehost: check-root

check-root:
	@if [ `id -u` -ne 0 ]; then \
		echo "**************************************************************" ; \
		echo "***  You do not seem to have the required root privileges. ***" ; \
		echo "**************************************************************" ; \
		exit 1 ; \
	fi

dist-l:
	$(MAKE) clean-autoconf

# Run aclocal separately from autoreconf, which doesn't pass -I option.
aclocal.m4: configure.ac $(wildcard m4/*.m4)
	aclocal -I m4

configure: configure.ac aclocal.m4
	autoheader
	autoconf

paths.mk:
	@echo "The file 'paths.mk' is not available. Probably you"
	@echo "have not run './configure' yet, aborting..."
	@exit 1

# Configure for running in source tree, not meant for normal use:
MAINT_CXFLAGS=-g -O1 -Wall -fstack-protector -D_FORTIFY_SOURCE=2 \
              -fPIE -Wformat -Wformat-security -ansi -pedantic
MAINT_LDFLAGS=-fPIE -pie -Wl,-z,relro -Wl,-z,now
maintainer-conf: configure
	./configure $(subst 1,-q,$(QUIET)) --prefix=$(CURDIR) \
	            --with-domserver_root=$(CURDIR) \
	            --with-judgehost_root=$(CURDIR) \
	            --with-domjudge_docdir=$(CURDIR)/doc \
	            --with-domserver_logdir=$(CURDIR)/output/log \
	            --with-judgehost_logdir=$(CURDIR)/output/log \
	            --with-domserver_rundir=$(CURDIR)/output/run \
	            --with-judgehost_rundir=$(CURDIR)/output/run \
	            --with-domserver_tmpdir=$(CURDIR)/output/tmp \
	            --with-judgehost_tmpdir=$(CURDIR)/output/tmp \
	            --with-judgehost_judgedir=$(CURDIR)/output/judging \
	            --with-domserver_submitdir=$(CURDIR)/output/submissions \
	            --enable-submitclient=http,dolstra \
	            CFLAGS='$(MAINT_CXFLAGS)' \
	            CXXFLAGS='$(MAINT_CXFLAGS)' \
	            LDFLAGS='$(MAINT_LDFLAGS)' \
	            $(CONFIGURE_FLAGS)

# Install the system in place: don't really copy stuff, but create
# symlinks where necessary to let it work from the source tree.
# This stuff is a hack!
maintainer-install: all domserver-create-dirs judgehost-create-dirs
# Replace lib{judge,submit}dir with symlink to prevent lots of symlinks:
	-rmdir $(judgehost_libjudgedir) $(domserver_libsubmitdir)
	-rm -f $(judgehost_libjudgedir) $(domserver_libsubmitdir)
	ln -sf $(CURDIR)/judge  $(judgehost_libjudgedir)
	ln -sf $(CURDIR)/submit $(domserver_libsubmitdir)
	ln -sfn $(CURDIR)/doc $(domserver_wwwdir)/jury/doc
	$(MKDIR_P) $(judgehost_bindir)
	ln -sf $(CURDIR)/judge/runguard $(judgehost_bindir)
	ln -sf $(CURDIR)/judge/runpipe  $(judgehost_bindir)
# Make tmpdir, submitdir writable for webserver, because
# judgehost-create-dirs sets wrong permissions:
	chmod a+rwx $(domserver_tmpdir) $(domserver_submitdir)

# Removes created symlinks; generated logs, submissions, etc. remain in output subdir.
maintainer-uninstall:
	rm -f $(judgehost_libjudgedir) $(domserver_libsubmitdir)
	rm -f $(domserver_wwwdir)/jury/doc
	rm -rf $(judgehost_bindir)

distclean-l: clean-autoconf
	-rm -f paths.mk

maintainer-clean-l:
	-rm -f configure aclocal.m4

clean-autoconf:
	-rm -rf config.status config.cache config.log autom4te.cache

.PHONY: $(addsuffix -create-dirs,domserver judgehost docs) check-root \
        clean-autoconf $(addprefix maintainer-,conf install uninstall)

=== etc/Makefile ===
ifndef TOPDIR
TOPDIR=..
endif
include $(TOPDIR)/Makefile.global

# Note:
# Although dbpasswords.secret and htpasswd-jury are generated during
# building/installing, we only remove them with 'distclean', for in
# maintainer-install mode it's inconvenient to have these regenerated
# with different passwords from those in the database.
#
# These files should probably not be generated in the source tree
# anyways, but it is more convenient to be able to share the passwords
# between domserver and judgehost installs.

SUBST_CONFIGS = apache.conf domserver-static.php domserver-static.h \
                judgehost-static.php runguard-config.h submit-config.h \
                sudoers-domjudge

$(SUBST_CONFIGS): %: %.in $(TOPDIR)/paths.mk
	$(substconfigvars)

config: $(SUBST_CONFIGS)

domserver: apache.conf dbpasswords.secret htpasswd-jury

judgehost: dbpasswords.secret

dbpasswords.secret:
	echo "# Randomly generated on host `hostname`, `date`" > $@
	chmod go= $@
	./gendbpasswords >> $@

htpasswd-jury: dbpasswords.secret
	touch $@
	chmod go= $@
	$(HTPASSWD) -b $@ domjudge_jury `grep '^dummy:' $< | cut -d : -f 5`

install-domserver:
	$(INSTALL_DATA) -t $(DESTDIR)$(domserver_etcdir) \
		apache.conf domserver-static.php
	$(INSTALL_PROG) -t $(DESTDIR)$(domserver_etcdir) \
		gendbpasswords
	-$(INSTALL_USER) -t $(DESTDIR)$(domserver_etcdir) \
		domserver-config.php common-config.php
	-$(INSTALL_WEBSITE) -m 0640 -t $(DESTDIR)$(domserver_etcdir) \
		dbpasswords.secret htpasswd-jury

install-judgehost:
	$(INSTALL_DATA) -t $(DESTDIR)$(judgehost_etcdir) \
		judgehost-static.php sudoers-domjudge
	-$(INSTALL_USER) -t $(DESTDIR)$(judgehost_etcdir) \
		judgehost-config.php common-config.php
	-$(INSTALL_USER) -m 0600 -t $(DESTDIR)$(judgehost_etcdir) \
		dbpasswords.secret

# Let only distclean (_not_ the local variant) depend on password
# removal, so these don't get removed with maintainer-clean.
distclean: clean-passwords

distclean-l:
	-rm -f $(SUBST_CONFIGS) config.h

clean-passwords:
	-rm -f dbpasswords.secret htpasswd-jury

maintainer-clean-l:
	-rm -f config.h.in

.PHONY: clean-passwords

=== judge/Makefile ===
ifndef TOPDIR
TOPDIR=..
endif
include $(TOPDIR)/Makefile.global

TARGETS = check_float check_boolfind runjury_boolfind compare runguard runpipe

judgehost: build

config: judgedaemon

build: $(TARGETS)

judgedaemon: judgedaemon.in $(TOPDIR)/paths.mk
	$(substconfigvars)
	chmod a+x $@

compare: $(LIBOBJECTS)
compare$(OBJEXT): $(LIBHEADERS)

check_float: -lm $(LIBOBJECTS)
check_float$(OBJEXT): -lm $(LIBHEADERS)

runguard: -lm
runguard$(OBJEXT): $(TOPDIR)/etc/runguard-config.h

# FIXME: compile with diet libc to produce a static binary which is
# not 0.6 MB (!) in size?
runpipe: runpipe.c $(LIBHEADERS) $(LIBSOURCES)
	$(CC) $(CFLAGS) -static -o $@ $< $(LIBSOURCES)

runjury_boolfind: runjury_boolfind.c
	$(CC) $(CFLAGS) -static -o $@ $<

install-judgehost:
	$(INSTALL_PROG) -t $(DESTDIR)$(judgehost_libjudgedir) \
		compile*.sh testcase_run.sh chroot-startstop.sh \
		run run_wrapper run_boolfind runjury_boolfind \
		compare compare_wrapper compare_float compare_boolfind \
		check_diff.sh check_float check_boolfind sh-static
	$(INSTALL_DATA) -t $(DESTDIR)$(judgehost_libjudgedir) parse_result.xslt \
		judgedaemon.main.php
	$(INSTALL_PROG) -t $(DESTDIR)$(judgehost_bindir) judgedaemon
	$(INSTALL_PROG) -t $(DESTDIR)$(judgehost_bindir) runguard runpipe

clean-l:
	-rm -f $(TARGETS) $(TARGETS:%=%$(OBJEXT))

distclean-l:
	-rm -f judgedaemon

=== misc-tools/Makefile ===
ifndef TOPDIR
TOPDIR=..
endif
include $(TOPDIR)/Makefile.global

TARGETS = checkinput
OBJECTS =
PARSER_GEN = yylex.cc parse.cc parserbase.h

ifeq ($(CHECKTESTDATA_ENABLED),yes)
TARGETS += checktestdata
CHKOBJS = $(addsuffix $(OBJEXT),checktestdata libchecktestdata parse yylex)
OBJECTS += $(CHKOBJS)
endif

SUBST_FILES = save_sources2file restore_sources2db static_scoreboard \
              combined_scoreboard runssh_judgehosts runssh_teams balloons

config: $(SUBST_FILES)

build: $(TARGETS)

$(SUBST_FILES): %: %.in $(TOPDIR)/paths.mk
	$(substconfigvars)
	chmod a+x $@

yylex.cc: checktestdata.l parsetype.h
	flex++ $<
# Fix strict ANSI C++ bug in generated code, see Debian bug #488274
	sed -i '/ isatty/d' $@

parse.cc parserbase.h: checktestdata.y parsetype.h
	bisonc++ $<

checksucc = ./checktestdata $$opts $$prog $$data >/dev/null 2>&1 || \
		{ echo "Running './checktestdata $$opts $$prog $$data' did not succeed..." ; exit 1; }
checkfail = ./checktestdata $$opts $$prog $$data >/dev/null 2>&1 && \
		{ echo "Running './checktestdata $$opts $$prog $$data' did not fail..."    ; exit 1; }

ifeq ($(CHECKTESTDATA_ENABLED),yes)

libchecktestdata.o: %.o: %.cc %.h $(PARSER_GEN)

checktestdata: CPPFLAGS += $(BOOST_CPPFLAGS)
checktestdata: LDFLAGS  += $(BOOST_LDFLAGS)
checktestdata: $(CHKOBJS) $(LIBGMPXX) $(BOOST_REGEX_LIB)
	$(CXX) $(CXXFLAGS) -o $@ $^

check: checktestdata
	@for i in tests/testprog*.in ; do \
		n=$${i#tests/testprog} ; n=$${n%.in} ; \
		prog=$$i ; \
		for data in tests/testdata$$n.in*  ; do $(checksucc) ; done ; \
		for data in tests/testdata$$n.err* ; do $(checkfail) ; done ; \
		data=tests/testdata$$n.in ; \
		for prog in tests/testprog$$n.err* ; do $(checkfail) ; done ; \
	done || true
# Some additional tests with --whitespace-ok option enabled:
	@opts=-w ; \
	for i in tests/testwsprog*.in ; do \
		n=$${i#tests/testwsprog} ; n=$${n%.in} ; \
		prog=$$i ; \
		for data in tests/testwsdata$$n.in*  ; do $(checksucc) ; done ; \
		for data in tests/testwsdata$$n.err* ; do $(checkfail) ; done ; \
		data=tests/testwsdata$$n.in ; \
		for prog in tests/testwsprog$$n.err* ; do $(checkfail) ; done ; \
	done || true

else

checktestdata:
	@echo "checktestdata was disabled by configure!"
	@exit 1

endif # CHECKTESTDATA_ENABLED

install-judgehost:
	$(INSTALL_PROG) -t $(DESTDIR)$(judgehost_bindir) dj_make_chroot

install-docs:
ifeq ($(CHECKTESTDATA_ENABLED),yes)
	$(INSTALL_DATA) -t $(DESTDIR)$(domjudge_docdir)/examples \
		checktestdata.fltcmp checktestdata.hello
endif

dist-l: $(PARSER_GEN)

clean-l:
	-rm -f $(TARGETS) $(OBJECTS)

distclean-l:
	-rm -f $(SUBST_FILES)

maintainer-clean-l:
	-rm -f $(PARSER_GEN)

=== sql/Makefile ===
ifndef TOPDIR
TOPDIR=..
endif
include $(TOPDIR)/Makefile.global

config: dj-setup-database

dj-setup-database: %: %.in $(TOPDIR)/paths.mk
	$(substconfigvars)
	chmod a+x $@

install-domserver:
	$(INSTALL_PROG) -t $(DESTDIR)$(domserver_bindir) dj-setup-database
	$(INSTALL_DATA) -t $(DESTDIR)$(domserver_sqldir) \
		mysql_db_structure.sql mysql_db_examples.sql
	$(INSTALL_DATA) -t $(DESTDIR)$(domserver_sqldir)/upgrade \
	 	upgrade/upgrade_*.sql upgrade/README

distclean-l:
	-rm -f dj-setup-database

=== tests/Makefile ===
ifndef TOPDIR
TOPDIR=..
endif
include $(TOPDIR)/Makefile.global

SUBMITCMD = $(TOPDIR)/submit/submit

SUBMIT = \
	echo -n "Submitting '$$i' " ; \
	if [ "$${i%.zip}" != "$$i" ]; then \
		tmp=`mktemp -d` ; \
		unzip -jnq -d "$$tmp" "$$i" ; \
		main=`grep -l '@EXPECTED_RESULTS@' "$$tmp/"*` ; \
		$(SUBMITCMD) -q -w1 -p $(PROBLEM) "$$main" "$$tmp/"* ; \
		rm -rf "$$tmp" ; \
	else \
		$(SUBMITCMD) -q -w1 -p $(PROBLEM) "$$i" ; \
	fi ; \
	echo ; sleep 1

build: $(TARGETS)

check-syntax:
	./syntax

check: test-normal test-fltcmp test-boolfind

PROBLEM=hello
test-fltcmp: PROBLEM=fltcmp
test-boolfind: PROBLEM=boolfind

test-normal: $(SUBMITCMD)
	@echo "Submitting normal test sources..." ; \
	for i in test-* ; do $(SUBMIT) ; done

test-fltcmp: $(SUBMITCMD)
	@echo "Submitting fltcmp test sources..." ; \
	for i in fltcmp-test-* ; do $(SUBMIT) ; done

test-boolfind: $(SUBMITCMD)
	@echo "Submitting boolfind test sources..." ; \
	for i in boolfind-test-* ; do $(SUBMIT) ; done

test-stress: $(SUBMITCMD)
	@echo "Submitting stress test sources..." ; \
	for i in stress-test-* ; do $(SUBMIT) ;	done

$(SUBMITCMD):
	$(MAKE) -C $(TOPDIR)/submit submit

.PHONY: test-normal test-fltcmp test-stress

=== debian/changelog ===
domjudge (3.3.5-1) unstable; urgency=low

  * New upstream release.

 -- Thijs Kinkhorst <thijs@debian.org>  Wed, 17 Apr 2013 19:52:31 +0200

=== debian/control ===
Source: domjudge
Priority: extra
Section: misc
Maintainer: Thijs Kinkhorst <thijs@debian.org>
Build-Depends: libcurl4-gnutls-dev, libboost-regex-dev, libgmp3-dev,
 debhelper (>= 9), apache2-utils
Build-Depends-Indep: linuxdoc-tools, transfig,
 texlive-latex-recommended, texlive-latex-extra
Homepage: http://domjudge.sourceforge.net/
Standards-Version: 3.9.4
Vcs-Git: git://a-eskwadraat.nl/git/domjudge-packaging.git
Vcs-Browser: https://secure.a-eskwadraat.nl/gitweb?p=domjudge-packaging.git

Package: domjudge-common
Architecture: all
Depends: ${misc:Depends}
Recommends: beep
Description: common files for the DOMjudge programming contest jury system
 This package contains files common to the elements of the DOMjudge
 programming contest jury system, and is only necessary as a dependency
 of domjudge-domserver and domjudge-judgehost.

Package: domjudge-domserver
Architecture: all
Depends: domjudge-common (= ${source:Version}), apache2 | httpd,
 libapache2-mod-php5 | php5-cgi | php5, php5-mysql, php5-cli, xsltproc,
 dbconfig-common, mysql-client, apache2-utils, ${misc:Depends}
Recommends: ntp, mysql-server, phpmyadmin, php-geshi
Description: programming contest jury system (server)
 DOMjudge is a jury system for running a programming contest. It allows
 teams to submit solutions to problems, which will be compiled, ran and
 tested in a secured environment. For communications with teams, judges
 and the general public, a web interface is provided.
 .
 DOMjudge has been developed for and used in ICPC-style contests around
 the world.
 .
 This package contains the central server.

Package: domjudge-judgehost
Architecture: any
Depends: domjudge-common (= ${source:Version}), php5-cli, php5-mysql,
 xsltproc, procps, bash-static, adduser, lsb-base, dbconfig-common,
 mysql-client, ${shlibs:Depends}, ${misc:Depends}
Recommends: ntp, sudo, debootstrap, gcc, g++, openjdk-6-jre-headless
Suggests: ghc, fp-compiler
Description: programming contest jury system (judgehost)
 DOMjudge is a jury system for running a programming contest. It allows
 teams to submit solutions to problems, which will be compiled, ran and
 tested in a secured environment. For communications with teams, judges
 and the general public, a web interface is provided.
 .
 DOMjudge has been developed for and used in ICPC-style contests around
 the world.
 .
 This package contains the judgehost, which performs the building,
 running and testing of the submitted programs.

Package: domjudge-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: texlive-latex-recommended, texlive-latex-extra
Description: programming contest jury system (documentation)
 DOMjudge is a jury system for running a programming contest. It allows
 teams to submit solutions to problems, which will be compiled, ran and
 tested in a secured environment. For communications with teams, judges
 and the general public, a web interface is provided.
 .
 DOMjudge has been developed for and used in ICPC-style contests around
 the world.
 .
 This package contains the documentation for administrators, judges
 and teams.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

DJDS=`pwd`/debian/domjudge-domserver
DJJH=`pwd`/debian/domjudge-judgehost
DJDC=`pwd`/debian/domjudge-doc

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp:
	dh_testdir

	# Make paths conform to Debian's desired layout.
	# Set domjudge-user to root for now, since the user 'domjudge'
	# may not exist at all on the build system. We chown the
	# files in postinst.
	./configure \
		--enable-fhs \
		--prefix=/usr \
		--sysconfdir=/etc \
		--localstatedir=/var \
		\
		--with-domjudge_docdir=\$${prefix}/share/doc/domjudge-doc \
		\
		--with-domserver_libdir=\$${prefix}/share/domjudge \
		--with-domserver_libwwwdir=\$${prefix}/share/domjudge/libwww \
		--with-domserver_libsubmitdir=\$${prefix}/share/domjudge \
		\
		--with-judgehost_bindir=\$${prefix}/sbin \
		--with-judgehost_libdir=\$${prefix}/share/domjudge \
		--with-judgehost_libjudgedir=\$${prefix}/lib/domjudge \
		\
		--with-domjudge-user=root

	# 'make build' bouwt ook zeer tijdrovende misc-tools dir,
	# niet doen dus.
	#$(MAKE) build
	$(MAKE) domserver
	$(MAKE) judgehost

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 
	$(MAKE) distclean
	dh_clean

install:
install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) DESTDIR=$(DJDS) install-domserver
	$(MAKE) DESTDIR=$(DJJH) install-judgehost
	$(MAKE) DESTDIR=$(DJDC) install-docs
	#
	dh_install
	# clean up tmpdirs
	rmdir $(DJDS)/tmp $(DJJH)/tmp $(DJDS)/var/run/domjudge $(DJJH)/var/run/domjudge
	# clean up docs
	cd $(DJDC)/usr/share/doc/domjudge-doc && \
		rm COPYING* README README.country_flags ChangeLog logos/DOMjudgelogo.png
	# This must be shipped in domjudge-common
	rm $(DJDS)/etc/domjudge/common-config.php \
		$(DJDS)/usr/share/domjudge/*.php $(DJDS)/usr/share/domjudge/alert
	# Saviour lib.error.sh before we trash /u/s/d
	# This is in domjudge-common
	rm -r $(DJJH)/usr/share/domjudge/* $(DJJH)/etc/domjudge/common-config.php
	cp lib/lib.error.sh $(DJJH)/usr/share/domjudge/
	# We'd like these to be amendable by the admin
	cd $(DJDS)/usr/share/domjudge/www/images/ && \
		mv teams affiliations ../../../../../var/lib/domjudge/images/
	# This we'll symlink from the system-copy
	rm $(DJJH)/usr/lib/domjudge/sh-static
	rm -r $(DJDS)/usr/lib/domjudge/ext/geshi/
	# Makes no sense to include passwords generated on .deb build host
	rm $(DJJH)/etc/domjudge/dbpasswords.secret \
		$(DJDS)/etc/domjudge/dbpasswords.secret \
		$(DJDS)/etc/domjudge/htpasswd-jury \
		$(DJDS)/etc/domjudge/gendbpasswords \
		$(DJDS)/usr/bin/dj-setup-database
	# Now emtpy
	rmdir $(DJDS)/usr/bin
	# TODO: Why is runguard in /usr/sbin? It's never called directly?
	# Doesn't really hurt currently.
	#
	# Needs to be web-writable:
	chgrp www-data $(DJDS)/var/lib/domjudge/submissions \
		$(DJDS)/var/log/domjudge
	chmod g+w $(DJDS)/var/lib/domjudge/submissions \
		$(DJDS)/var/log/domjudge
	sed -i 's#^root #domjudge #' $(DJJH)/etc/domjudge/sudoers-domjudge
	sed -i 's#/\*/proc#/var/lib/domjudge/javachroot*/proc#' $(DJJH)/etc/domjudge/sudoers-domjudge
	sed -i 's#/chroot/domjudge/\*#/var/lib/domjudge/javachroot*/*#' $(DJJH)/etc/domjudge/sudoers-domjudge
	mv $(DJJH)/etc/domjudge/sudoers-domjudge $(DJJH)/etc/sudoers.d/domjudge
	chmod 0440 $(DJJH)/etc/sudoers.d/domjudge
	# Database configuration
	cat sql/mysql_db_structure.sql sql/mysql_db_examples.sql > $(DJDS)/usr/share/dbconfig-common/data/domjudge-domserver/install/mysql
	cp debian/src/db_clean.sql $(DJDS)/usr/share/dbconfig-common/data/domjudge-domserver/remove/mysql
	# Upgrades
	for i in sql/upgrade/upgrade_*_*.sql; do \
		T=`echo $$i|sed -r 's#sql/upgrade/upgrade_.*_(.*)\.sql#\1#'`; \
		cp $$i $(DJDS)/usr/share/dbconfig-common/data/domjudge-domserver/upgrade/mysql/$$T; \
	done

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir -i
	dh_testroot -i
	dh_installdebconf -i
	dh_installchangelogs -p domjudge-doc
	dh_installchangelogs -p domjudge-common -p domjudge-domserver -X ChangeLog
	dh_installdocs -i
	dh_installlogrotate -i
	dh_link -i
	dh_compress -i -X .tex -X .pdf
	dh_fixperms -i -X genteammanuals -X gentexconfig
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir -a
	dh_testroot -a
	dh_installchangelogs -a -X ChangeLog
	dh_installdocs -a
	dh_installinit -a
	dh_installman -a
	dh_installdebconf -a
	dh_installexamples -a
	dh_strip -a
	dh_link -a
	dh_compress -a
	dh_fixperms -a -X etc/sudoers.d/domjudge
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## domjudge 3.4.0

=== doc/admin/Makefile ===
ifndef TOPDIR
TOPDIR=../..
endif
include $(TOPDIR)/Makefile.global

FIGS = submitflow
FIGSPNG = $(addsuffix .png,$(FIGS))
FIGSEPS = $(addsuffix .eps,$(FIGS))

%.png: %.fig
	fig2dev -L png -m 1.4 $< $@

%.eps: %.fig
	fig2dev -L eps $< $@

docs: admin-manual.pdf admin-manual.html

install-docs: docs
	$(INSTALL_DATA) -t $(DESTDIR)$(domjudge_docdir)/admin \
		admin-manual.pdf admin-manual*.html $(FIGSPNG)

admin-manual.pdf: %.pdf: %.sgml $(TOPDIR)/doc/docs_header.tex $(FIGSEPS)
	linuxdoc -B latex -o ps -P "`cat $(TOPDIR)/doc/docs_header.tex`" $< >/dev/null
	ps2pdf $*.ps
	rm -f $*.ps

admin-manual.html: admin-manual.sgml $(TOPDIR)/doc/docs_header.html $(FIGSPNG)
	linuxdoc -B html --header=$(TOPDIR)/doc/docs_header.html $< >/dev/null

dist: docs

maintainer-clean-l:
	-rm -f $(FIGSPNG) $(FIGSEPS) admin-manual*.html admin-manual.pdf

=== debian/changelog ===
domjudge (3.4.0-1) unstable; urgency=low

  * New upstream release.

 -- Thijs Kinkhorst <thijs@debian.org>  Thu, 25 Jul 2013 21:20:39 +0200

domjudge (3.4.0~rc0-1) unstable; urgency=low

  * New upstream preview release.

 -- Thijs Kinkhorst <thijs@debian.org>  Wed, 26 Jun 2013 18:30:34 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Section: misc
 Maintainer: Thijs Kinkhorst <thijs@debian.org>
 Build-Depends: libcurl4-gnutls-dev, libboost-regex-dev, libgmp3-dev,
- debhelper (>= 9), apache2-utils
+ debhelper (>= 9), apache2-utils, libcgroup-dev
 Build-Depends-Indep: linuxdoc-tools, transfig,
  texlive-latex-recommended, texlive-latex-extra
 Homepage: http://domjudge.sourceforge.net/
@@ -23,8 +23,8 @@
 Package: domjudge-domserver
 Architecture: all
 Depends: domjudge-common (= ${source:Version}), apache2 | httpd,
- libapache2-mod-php5 | php5-cgi | php5, php5-mysql, php5-cli, xsltproc,
- dbconfig-common, mysql-client, apache2-utils, ${misc:Depends}
+ libapache2-mod-php5 | php5-cgi | php5, php5-mysql, php5-cli, php5-json,
+ xsltproc, dbconfig-common, mysql-client, apache2-utils, ${misc:Depends}
 Recommends: ntp, mysql-server, phpmyadmin, php-geshi
 Description: programming contest jury system (server)
  DOMjudge is a jury system for running a programming contest. It allows
@@ -40,8 +40,8 @@
 Package: domjudge-judgehost
 Architecture: any
 Depends: domjudge-common (= ${source:Version}), php5-cli, php5-mysql,
- xsltproc, procps, bash-static, adduser, lsb-base, dbconfig-common,
- mysql-client, ${shlibs:Depends}, ${misc:Depends}
+ php5-json, xsltproc, procps, bash-static, adduser, lsb-base,
+ dbconfig-common, mysql-client, ${shlibs:Depends}, ${misc:Depends}
 Recommends: ntp, sudo, debootstrap, gcc, g++, openjdk-6-jre-headless
 Suggests: ghc, fp-compiler
 Description: programming contest jury system (judgehost)

=== debian/rules ===
--- 
+++ 
@@ -83,8 +83,6 @@
 		$(DJDS)/etc/domjudge/htpasswd-jury \
 		$(DJDS)/etc/domjudge/gendbpasswords \
 		$(DJDS)/usr/bin/dj-setup-database
-	# Now emtpy
-	rmdir $(DJDS)/usr/bin
 	# TODO: Why is runguard in /usr/sbin? It's never called directly?
 	# Doesn't really hurt currently.
 	#
@@ -99,7 +97,8 @@
 	mv $(DJJH)/etc/domjudge/sudoers-domjudge $(DJJH)/etc/sudoers.d/domjudge
 	chmod 0440 $(DJJH)/etc/sudoers.d/domjudge
 	# Database configuration
-	cat sql/mysql_db_structure.sql sql/mysql_db_examples.sql > $(DJDS)/usr/share/dbconfig-common/data/domjudge-domserver/install/mysql
+	cat sql/mysql_db_structure.sql sql/mysql_db_defaultdata.sql \
+		sql/mysql_db_examples.sql > $(DJDS)/usr/share/dbconfig-common/data/domjudge-domserver/install/mysql
 	cp debian/src/db_clean.sql $(DJDS)/usr/share/dbconfig-common/data/domjudge-domserver/remove/mysql
 	# Upgrades
 	for i in sql/upgrade/upgrade_*_*.sql; do \
@@ -122,7 +121,7 @@
 	dh_installdeb -i
 	dh_gencontrol -i
 	dh_md5sums -i
-	dh_builddeb -i
+	dh_builddeb -i -- -Zxz
 
 # Build architecture-dependent files here.
 binary-arch: build install
@@ -142,7 +141,7 @@
 	dh_shlibdeps -a
 	dh_gencontrol -a
 	dh_md5sums -a
-	dh_builddeb -a
+	dh_builddeb -a -- -Zxz
 
 binary: binary-indep binary-arch
 .PHONY: build clean binary-indep binary-arch binary install

## domjudge 3.4.2

=== Makefile ===
--- 
+++ 
@@ -49,7 +49,7 @@
 config:            SUBDIRS=etc doc lib sql www judge submit tests misc-tools
 build:             SUBDIRS=        lib         judge submit tests misc-tools
 domserver:         SUBDIRS=etc             www       submit
-install-domserver: SUBDIRS=etc     lib sql www       submit
+install-domserver: SUBDIRS=etc     lib sql www       submit       misc-tools
 judgehost:         SUBDIRS=etc                 judge
 install-judgehost: SUBDIRS=etc     lib         judge              misc-tools
 docs:              SUBDIRS=    doc
@@ -66,7 +66,7 @@
 	-$(INSTALL_USER)    -m 0700 -d $(DESTDIR)$(domserver_logdir)
 	-$(INSTALL_USER)    -m 0700 -d $(DESTDIR)$(domserver_rundir)
 	-$(INSTALL_WEBSITE) -m 0770 -d $(DESTDIR)$(domserver_submitdir)
-ifneq "$(fhs_enabled)" "yes"
+ifneq "$(FHS_ENABLED)" "yes"
 	-$(INSTALL_WEBSITE) -m 0770 -d $(DESTDIR)$(domserver_tmpdir)
 endif
 
@@ -76,7 +76,7 @@
 	-$(INSTALL_USER) -m 0700 -d $(DESTDIR)$(judgehost_logdir)
 	-$(INSTALL_USER) -m 0700 -d $(DESTDIR)$(judgehost_rundir)
 	-$(INSTALL_USER) -m 0711 -d $(DESTDIR)$(judgehost_judgedir)
-ifneq "$(fhs_enabled)" "yes"
+ifneq "$(FHS_ENABLED)" "yes"
 	-$(INSTALL_USER) -m 0700 -d $(DESTDIR)$(judgehost_tmpdir)
 endif

=== doc/Makefile ===
ifndef TOPDIR
TOPDIR=..
endif

REC_TARGETS = config docs install-docs

include $(TOPDIR)/Makefile.global

# Subdirectories to recurse into for REC_TARGETS
SUBDIRS = admin team judge examples

config: SUBDIRS=team

install-docs-l:
	$(INSTALL_DATA) -t $(DESTDIR)$(domjudge_docdir)/logos logos/DOMjudgelogo.pdf logos/DOMjudgelogo.png

=== etc/Makefile ===
--- 
+++ 
@@ -15,7 +15,7 @@
 
 SUBST_CONFIGS = apache.conf domserver-static.php domserver-static.h \
                 judgehost-static.php runguard-config.h submit-config.h \
-                sudoers-domjudge
+                sudoers-domjudge cgroup-domjudge.conf
 
 $(SUBST_CONFIGS): %: %.in $(TOPDIR)/paths.mk
 	$(substconfigvars)

=== judge/Makefile ===
--- 
+++ 
@@ -21,7 +21,8 @@
 check_float: -lm $(LIBOBJECTS)
 check_float$(OBJEXT): -lm $(LIBHEADERS)
 
-runguard: -lm
+runguard: -lm $(LIBCGROUP)
+runguard: CFLAGS += -std=c99
 runguard$(OBJEXT): $(TOPDIR)/etc/runguard-config.h
 
 # FIXME: compile with diet libc to produce a static binary which is

=== lib/Makefile ===
ifndef TOPDIR
TOPDIR=..
endif
include $(TOPDIR)/Makefile.global

OBJECTS = $(addsuffix $(OBJEXT),lib.error lib.misc)

build: $(OBJECTS)

$(OBJECTS): %$(OBJEXT): %.c %.h

clean-l:
	rm -f $(OBJECTS)

install-domserver:
	$(INSTALL_DATA) -t $(DESTDIR)$(domserver_libdir)    *.php
	$(INSTALL_DATA) -t $(DESTDIR)$(domserver_libwwwdir) www/*.php
	cp -pR ext/* $(DESTDIR)$(domserver_libextdir)
	$(INSTALL_PROG) -t $(DESTDIR)$(domserver_libdir)    alert

install-judgehost:
	$(INSTALL_DATA) -t $(DESTDIR)$(judgehost_libdir)    *.php *.sh
	$(INSTALL_PROG) -t $(DESTDIR)$(judgehost_libdir)    alert

=== misc-tools/Makefile ===
--- 
+++ 
@@ -14,7 +14,8 @@
 endif
 
 SUBST_FILES = save_sources2file restore_sources2db static_scoreboard \
-              combined_scoreboard runssh_judgehosts runssh_teams balloons
+              combined_scoreboard runssh_judgehosts runssh_teams balloons \
+              simulate_contest create_cgroups
 
 config: $(SUBST_FILES)
 
@@ -65,6 +66,15 @@
 		data=tests/testwsdata$$n.in ; \
 		for prog in tests/testwsprog$$n.err* ; do $(checkfail) ; done ; \
 	done || true
+# Test if generating testdata works and complies with the script:
+	@TMP=`mktemp --tmpdir dj_gendata.XXXXXX` || exit 1 ; data=$$TMP ; \
+	for i in tests/testprog*.in ; do \
+		grep 'IGNORE GENERATE TESTING' $$i >/dev/null && continue ; \
+		n=$${i#tests/testprog} ; n=$${n%.in} ; \
+		prog=$$i ; \
+		for i in seq 10 ; do opts=-g ; $(checksucc) ; opts='' ; $(checksucc) ; done ; \
+	done ; \
+	rm -f $$TMP
 
 else
 
@@ -74,8 +84,11 @@
 
 endif # CHECKTESTDATA_ENABLED
 
+install-domserver:
+	$(INSTALL_PROG) -t $(DESTDIR)$(domserver_bindir) balloons
+
 install-judgehost:
-	$(INSTALL_PROG) -t $(DESTDIR)$(judgehost_bindir) dj_make_chroot
+	$(INSTALL_PROG) -t $(DESTDIR)$(judgehost_bindir) dj_make_*chroot
 
 install-docs:
 ifeq ($(CHECKTESTDATA_ENABLED),yes)

=== sql/Makefile ===
--- 
+++ 
@@ -12,7 +12,7 @@
 install-domserver:
 	$(INSTALL_PROG) -t $(DESTDIR)$(domserver_bindir) dj-setup-database
 	$(INSTALL_DATA) -t $(DESTDIR)$(domserver_sqldir) \
-		mysql_db_structure.sql mysql_db_examples.sql
+		mysql_db_structure.sql mysql_db_defaultdata.sql mysql_db_examples.sql
 	$(INSTALL_DATA) -t $(DESTDIR)$(domserver_sqldir)/upgrade \
 	 	upgrade/upgrade_*.sql upgrade/README

=== submit/Makefile ===
ifndef TOPDIR
TOPDIR=..
endif
include $(TOPDIR)/Makefile.global

ifndef CYGWIN
ifeq ($(SUBMIT_ENABLE_CMD),1)
SUBMIT_PROGS += submitdaemon.main
domserver: submitdaemon submitdaemon.main
endif
endif

# Check if we have to build the submit client and which libraries
# need to be linked:
ifneq ($(SUBMIT_DEFAULT),0)
SUBMITCLIENT = submit$(EXEEXT)
SUBMIT_PROGS += $(SUBMITCLIENT)
ifneq ($(LIBMAGIC),)
$(SUBMITCLIENT): $(LIBMAGIC)
endif
ifneq ($(SUBMIT_ENABLE_WEB),0)
$(SUBMITCLIENT): CXXFLAGS += $(CURL_CFLAGS)
# Try to link statically against libcURL to prevent dependency
# on team workstations:
ifneq ($(CURL_STATIC),)
$(SUBMITCLIENT): LDFLAGS += $(CURL_STATIC)
else
$(SUBMITCLIENT): LDFLAGS += $(CURL_LIBS)
endif
endif
endif

SUBMITHEADERS = submitcommon.hxx $(TOPDIR)/etc/submit-config.h

SUBMITCOMMONOBJ = submitcommon$(OBJEXT)

TARGETS = $(SUBMIT_PROGS)

SUBST_CONFIGS = submitdaemon submit_db.php

config: $(SUBST_CONFIGS)

build: $(TARGETS)

domserver: submit_db.php

submitclient: $(SUBMITCLIENT)

$(SUBST_CONFIGS): %: %.in ../paths.mk
	$(substconfigvars)
	chmod a+x $@

# Explicitly link with C++ compiler, as without any C++ extensions
# this are recognized as plain C objects.
$(SUBMIT_PROGS): %$(EXEEXT): %$(OBJEXT) $(SUBMITCOMMONOBJ) $(LIBOBJECTS)
	$(CXX) $^ -o $@ $(LDFLAGS)

$(SUBMIT_PROGS:%=%$(OBJEXT)): %$(OBJEXT): %.cc $(SUBMITHEADERS) $(LIBHEADERS)

$(SUBMITCOMMONOBJ): %$(OBJEXT): %.cc %.hxx $(LIBHEADERS)

install-domserver:
ifeq ($(SUBMIT_ENABLE_CMD),1)
	$(INSTALL_PROG) -t $(DESTDIR)$(domserver_bindir) submitdaemon
	$(INSTALL_PROG) -t $(DESTDIR)$(domserver_libsubmitdir) submitdaemon.main
endif
	$(INSTALL_PROG) -t $(DESTDIR)$(domserver_libsubmitdir) \
		submit_copy.sh submit_db.php

clean-l:
	-rm -f $(TARGETS) $(TARGETS:%=%$(OBJEXT)) $(SUBMITCOMMONOBJ)

distclean-l:
	-rm -f submit_db.php submitdaemon

.PHONY: submitclient

=== tests/Makefile ===
--- 
+++ 
@@ -4,19 +4,20 @@
 include $(TOPDIR)/Makefile.global
 
 SUBMITCMD = $(TOPDIR)/submit/submit
+SUBMITOPTS = -q -w1 -p $(PROBLEM)
 
 SUBMIT = \
 	echo -n "Submitting '$$i' " ; \
 	if [ "$${i%.zip}" != "$$i" ]; then \
-		tmp=`mktemp -d` ; \
+		tmp=`mktemp -d --tmpdir` ; \
 		unzip -jnq -d "$$tmp" "$$i" ; \
 		main=`grep -l '@EXPECTED_RESULTS@' "$$tmp/"*` ; \
-		$(SUBMITCMD) -q -w1 -p $(PROBLEM) "$$main" "$$tmp/"* ; \
+		$(SUBMITCMD) $(SUBMITOPTS) "$$main" "$$tmp/"* ; \
 		rm -rf "$$tmp" ; \
 	else \
-		$(SUBMITCMD) -q -w1 -p $(PROBLEM) "$$i" ; \
+		$(SUBMITCMD) $(SUBMITOPTS) "$$i" ; \
 	fi ; \
-	echo ; sleep 1
+	echo
 
 build: $(TARGETS)

=== www/Makefile ===
ifndef TOPDIR
TOPDIR=..
endif
include $(TOPDIR)/Makefile.global

configure.php: configure.php.in $(TOPDIR)/paths.mk
	$(substconfigvars)

config: configure.php

domserver: configure.php

install-domserver:
	for d in . affiliations countries ; do \
		$(INSTALL_DATA) -t $(DESTDIR)$(domserver_wwwdir)/images/$$d images/$$d/*.png ; \
	done
	for d in public team jury plugin ; do \
		$(INSTALL_DATA) -t $(DESTDIR)$(domserver_wwwdir)/$$d $$d/*.php ; \
	done
	$(INSTALL_DATA) -t $(DESTDIR)$(domserver_wwwdir)/images/teams images/teams/*.jpg
	$(INSTALL_DATA) -t $(DESTDIR)$(domserver_wwwdir)/plugin       plugin/*.xsd
	$(INSTALL_DATA) -t $(DESTDIR)$(domserver_wwwdir)/jury         jury/*.css
	$(INSTALL_DATA) -t $(DESTDIR)$(domserver_wwwdir)/js           js/*.js js/*.gif js/*.png
	$(INSTALL_DATA) -t $(DESTDIR)$(domserver_wwwdir)              *.php style.css
	rm -f $(DESTDIR)$(domserver_wwwdir)/jury/doc
	$(LN_S) $(domjudge_docdir) $(DESTDIR)$(domserver_wwwdir)/jury/doc

install-docs:
	$(INSTALL_DATA) -T images/countries/README    $(DESTDIR)$(domjudge_docdir)/README.country_flags
	$(INSTALL_DATA) -T images/countries/codes.txt $(DESTDIR)$(domjudge_docdir)/country_codes.txt

distclean-l:
	-rm -f configure.php

=== doc/admin/Makefile ===
--- 
+++ 
@@ -20,6 +20,8 @@
 		admin-manual.pdf admin-manual*.html $(FIGSPNG)
 
 admin-manual.pdf: %.pdf: %.sgml $(TOPDIR)/doc/docs_header.tex $(FIGSEPS)
+# Ideally, we'd generate the pdf directly, but linuxdoc isn't able to
+# include pdf figures, and the unscaled png figure looks ugly.
 	linuxdoc -B latex -o ps -P "`cat $(TOPDIR)/doc/docs_header.tex`" $< >/dev/null
 	ps2pdf $*.ps
 	rm -f $*.ps

=== doc/examples/Makefile ===
ifndef TOPDIR
TOPDIR=../..
endif
include $(TOPDIR)/Makefile.global

PROBLEMS = hello fltcmp boolfind

INI = $(PROBLEMS:=.ini)
PDF = $(PROBLEMS:=.pdf)
ZIP = $(PROBLEMS:=.zip)

docs: dist

install-docs:
	$(INSTALL_DATA) -t $(DESTDIR)$(domjudge_docdir)/examples example.*
	$(INSTALL_DATA) -t $(DESTDIR)$(domjudge_docdir)/examples hello.pdf hello.in hello.out
	$(INSTALL_DATA) -t $(DESTDIR)$(domjudge_docdir)/examples fltcmp.pdf fltcmp.in fltcmp.out
	$(INSTALL_DATA) -t $(DESTDIR)$(domjudge_docdir)/examples boolfind.pdf boolfind.in boolfind.out

$(PDF): %.pdf: %.tex %.in %.out $(TOPDIR)/doc/logos/DOMjudgelogo.pdf
	pdflatex -interaction=nonstopmode $< > /dev/null

$(INI): %.ini:
	@[ -n "$(QUIET)" ] || echo "Generating '$@'..."
	@echo '; DOMjudge problem properties file' > $@
	@echo 'probid       = $*' >> $@
	@echo 'name         = $*' >> $@
	@echo 'timelimit    = 5'  >> $@
	@echo 'allow_submit = 1'  >> $@

# Use secondary expansion to use stem $* in dependencies:
.SECONDEXPANSION:
$(ZIP): %.zip: %.pdf %.ini $$(foreach ext,in out c cc java,$$(wildcard $$**.$$(ext)))
	TMPDIR=`mktemp -d --tmpdir dj_probzip_XXXXXX` ; \
	cp $^ $$TMPDIR ; mv $$TMPDIR/$*.ini $$TMPDIR/domjudge-problem.ini ; \
	zip -q -j -r $@ $$TMPDIR ; rm -rf $$TMPDIR

dist-l: $(PDF) $(ZIP)
	$(MAKE) clean-l

clean-l:
	-rm -f $(PROBLEMS:=.aux) $(PROBLEMS:=.log)

maintainer-clean-l:
	-rm -f $(INI) $(PDF) $(ZIP)

=== debian/changelog ===
domjudge (3.4.2-1) unstable; urgency=medium

  * New upstream release.

 -- Thijs Kinkhorst <thijs@debian.org>  Fri, 28 Feb 2014 14:17:33 +0100

## domjudge 3.4.4

=== debian/changelog ===
domjudge (3.4.4-1) unstable; urgency=medium

  * New upstream release. 

 -- Thijs Kinkhorst <thijs@debian.org>  Mon, 19 May 2014 08:26:59 +0200

=== debian/control ===
--- 
+++ 
@@ -6,10 +6,10 @@
  debhelper (>= 9), apache2-utils, libcgroup-dev
 Build-Depends-Indep: linuxdoc-tools, transfig,
  texlive-latex-recommended, texlive-latex-extra
-Homepage: http://domjudge.sourceforge.net/
-Standards-Version: 3.9.4
-Vcs-Git: git://a-eskwadraat.nl/git/domjudge-packaging.git
-Vcs-Browser: https://secure.a-eskwadraat.nl/gitweb?p=domjudge-packaging.git
+Homepage: http://www.domjudge.org
+Standards-Version: 3.9.5
+Vcs-Git: https://github.com/DOMjudge/domjudge-packaging.git
+Vcs-Browser: http://www.domjudge.org/gitweb?p=domjudge-packaging.git
 
 Package: domjudge-common
 Architecture: all
@@ -25,7 +25,7 @@
 Depends: domjudge-common (= ${source:Version}), apache2 | httpd,
  libapache2-mod-php5 | php5-cgi | php5, php5-mysql, php5-cli, php5-json,
  xsltproc, dbconfig-common, mysql-client, apache2-utils, ${misc:Depends}
-Recommends: ntp, mysql-server, phpmyadmin, php-geshi
+Recommends: ntp, mysql-server | virtual-mysql-server, phpmyadmin, php-geshi
 Description: programming contest jury system (server)
  DOMjudge is a jury system for running a programming contest. It allows
  teams to submit solutions to problems, which will be compiled, ran and

=== debian/rules ===
--- 
+++ 
@@ -33,8 +33,8 @@
 		\
 		--with-domjudge-user=root
 
-	# 'make build' bouwt ook zeer tijdrovende misc-tools dir,
-	# niet doen dus.
+	# 'make build' also builds the very time-consuming misc-tools,
+	# skip that for now.
 	#$(MAKE) build
 	$(MAKE) domserver
 	$(MAKE) judgehost

## domjudge cli-0.2.13

=== requirements.txt ===
typer~=0.15.2
PyYAML~=6.0.2
pydantic~=2.11.3
pydantic[email]~=2.11.3
p2d~=0.3.0
bcrypt~=4.3.0
webcolors~=24.11.1
requests~=2.32.3
Jinja2~=3.1.6
typeguard~=4.4.2
jmespath~=1.0.1
tqdm~=4.67.1
